
QGIS Application - Feature request #8703

Wizard for reading OSM data with GDAL OSM driver

2013-09-27 06:08 AM - Jukka Rahkonen

Status: Open

Priority: Normal

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 17423

Description

Beginning from version 1.10 GDAL has an OSM driver which converts OpenStreetMap data into traditional GIS layers and OGC Simple

Features http://www.gdal.org/ogr/drv_osm.html

GDAL OSM driver finds up to five GIS layers from OSM data. The schemata of the resulting layers are controlled with "osmconf.ini"

configuration file. Because of the nature of OSM data and GDAL OSM driver it is usually not most practical to read the layers which are

advertised by GDAL as is. For better usability users should be provided with an "Read OSM data" wizard. With the wizard users could

select a subset of OSM data by building a SQL clause which would be passed on to the GDAL OSM driver. For more standard SQL it

would be better to use the SQLite dialect instead of the native SQL dialect of GDAL/OGR.

It would be good to make the wizard so that it could be used also as a GDAL osm configuration editor so that users could edit a list of OSM

tags which will be converted into normal attributes in the GIS layer schema. By default this is done by hand editing "osmconf.ini" file but

other config files can be used if the alternative file path is given with GDAL config option "OSM_CONFIG_FILE".

History

#1 - 2013-09-27 06:46 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Category set to Vectors

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
